#! /usr/bin/env node

var fs = require('fs');
var path = require('path');
var exec = require('child_process').exec;
var execSync = require('child_process').execSync;

var options = require('minimist')(process.argv.slice(2));
var commands = options._;
var spinner = require("char-spinner")
var PROJECT_NAME = commands[0];
var BUNDLE_ID = commands[1];

if (!PROJECT_NAME || !BUNDLE_ID) {
    console.log('Usage ssg-frontend myproj com.solidstategroup.myproj');
    return;
}


if (options.f) {
    console.log('Forcing installation');
    execSync(`rm -rf ./${PROJECT_NAME}`, { stdio: 'inherit' });
}


execSync(`git clone https://git.solidstategroup.com/solidstategroup/ssg-frontend-boilerplate ./${PROJECT_NAME}`, { stdio: 'inherit' });

//install web
var web = new Promise((resolve) => {

});
//install mobile

var appIdPath  = path.resolve(__dirname, '../node_modules/react-native-app-id')

console.log('Installing web and mobile, this should take around 50-80 seconds...')
var interval = spinner(options);
execSync(`cd ./${PROJECT_NAME} && rm -rf .git && git init`, { stdio: 'inherit' });
execSync(`cd ./${PROJECT_NAME} && npm i`, { stdio: 'inherit' });
execSync(`cd ./${PROJECT_NAME}/mobile && npm i`, { stdio: 'inherit' });

console.log(appIdPath);
execSync(`cd ./${PROJECT_NAME}/mobile && node ${appIdPath} ${BUNDLE_ID}`, { stdio: 'inherit' });

console.log('All done, enjoy your day.')
clearInterval(interval);

